import { Project } from '@jfrog-pipelines/data-access-layer';
import { ProjectIntegrationResponse } from '@jfrog-pipelines/types';
import { IntegrationDataAdapter } from './IntegrationDataAdapter';
export declare class ApiIntegrationDataAdapter implements IntegrationDataAdapter {
    private readonly client;
    private readonly properties;
    constructor();
    getProjectsByQuery(query?: string): Promise<Project[]>;
    getProjectIntegrationsById(projectId: number): Promise<ProjectIntegrationResponse>;
}
