import { NodePoolAttributes } from '@jfrog-pipelines/types';
import { WaitingGroup } from '../../modules';
export declare type NodePoolsByName = {
    [key: string]: NodePoolAttributes;
};
export declare type RejectedWaitingGroupResponse = {
    waitingGroupsAfterFiltering: WaitingGroup[];
    waitingForFreeNodePoolCapacity: WaitingGroup[];
};
export declare class RejectWaitingGroupsByNodePools {
    rejectWaitingGroupsByNodePools(availableNodePools: NodePoolAttributes[], allNodePools: NodePoolAttributes[], waitingGroups: WaitingGroup[]): RejectedWaitingGroupResponse;
    private isRejectableGroup;
    private approvalValidation;
    private generateReactionContext;
    private getAllNodePoolsByName;
    private getAvailableNodePoolsByName;
}
