import { RunAdjacencyAttributes, StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
import { NodePool, StepAffinity } from './models';
export declare class DagAggregate {
    private readonly logger;
    private readonly dagVertexList;
    constructor(dagRecords: RunAdjacencyAttributes[], stepMap: Map<number, StepAttributes>, stepletMap: Map<number, StepletAttributes[]>);
    getStepAffinityList(nodePoolByStepletId: Map<number, NodePool> | null): StepAffinity[];
    private buildDag;
    private getStepletsGroupedByAffinityGroup;
    private getStepsInSortedOrder;
    private getStepCoRelationMap;
    private getStepWithNoDependency;
    private getStepFromStepId;
    private removeDependency;
}
