import { RunAdjacencyAttributes } from '@jfrog-pipelines/types';
import { DagRecordRepository } from './DagRecordRepository';
export declare class DependencyModeDagRecordRepository implements DagRecordRepository {
    private readonly delegate;
    private readonly logger;
    private readonly runDao;
    private readonly pipelineDao;
    constructor(delegate: DagRecordRepository);
    fetch(): Promise<RunAdjacencyAttributes[]>;
    private checkForParentSuccess;
    private getRunsByPipeline;
    private getPipelines;
}
