"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnSaasLicenseStrategy = void 0;
const logger_1 = require("@jfrog-pipelines/logger");
class OnSaasLicenseStrategy {
    constructor(nodeLimit) {
        this.logger = logger_1.LoggerFactory.getLogger(`OnSaasLicenseStrategy`);
        this.nodeLimit = nodeLimit;
    }
    execute() {
        if (this.nodeLimit === undefined) {
            this.logger.info(`Cannot find nodeLimit from systemYaml. Going with default value`);
            return null;
        }
        return this.nodeLimit;
    }
}
exports.OnSaasLicenseStrategy = OnSaasLicenseStrategy;
//# sourceMappingURL=OnSaasLicenseStrategy.js.map