export declare class NodePoolRepository {
    private readonly logger;
    private readonly nodePoolServiceQueueClient;
    private readonly buildPlaneMessageDao;
    private readonly nodeDao;
    private readonly nodePoolDataAdapter;
    constructor();
    getBuildPlaneMessageCount(nodePoolId: number): Promise<number | null>;
    getAvailableNodeCount(nodePoolId: number): Promise<number>;
    queueToNodePool(message: unknown): Promise<boolean>;
    publishMessageToNodePoolService(nodePoolId: number): Promise<boolean>;
}
