"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenRepository = void 0;
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
class TokenRepository {
    static async createToken(tokenRequest) {
        const accessClient = internal_clients_1.AccessClientFactory.getClient();
        const token = await accessClient.createAccessTokenRequest(tokenRequest);
        return token.accessToken;
    }
}
exports.TokenRepository = TokenRepository;
//# sourceMappingURL=TokenRepository.js.map