import { StepAffinity } from '../../dag';
import { QueuerStrategy } from './QueuerStrategy';
export declare class NodePoolQueuer implements QueuerStrategy {
    private readonly queableStepAffinity;
    private readonly logger;
    private readonly nodePoolRepository;
    private readonly stepRepository;
    private readonly consoleLogManager;
    private readonly poolStrategy;
    constructor(queableStepAffinity: StepAffinity);
    queue(): Promise<void>;
    private checkIfNodeIsAvailable;
    private skipGroup;
}
