import { StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
declare type PostWebHookPayload = {
    action: string;
    stepId: number;
};
export declare class StepServiceDataAdapter {
    private readonly client;
    constructor();
    approveSteps(stepId: number): Promise<void>;
    getStepExecutionEligibility(stepId: number): Promise<boolean>;
    postHook(hookId: number, message: PostWebHookPayload): Promise<void>;
    putStepById(stepId: number, update: Partial<StepAttributes>): Promise<StepAttributes>;
    putStepletById(stepletId: number, update: Partial<StepletAttributes>): Promise<StepletAttributes>;
}
export {};
