"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JobSchedularCommand = void 0;
const node_util_1 = require("node:util");
const logger_1 = require("@jfrog-pipelines/logger");
const utility_1 = require("@jfrog-pipelines/utility");
class JobSchedularCommand {
    constructor(payload) {
        this.payload = payload;
        this.logger = logger_1.LoggerFactory.getLogger('JobSchedularCommand');
    }
    validate() {
        this.logger.trace(`No validation required for ${(0, node_util_1.inspect)(this.payload)}`);
    }
    getSessionId() {
        return (0, utility_1.uuidv4)();
    }
}
exports.JobSchedularCommand = JobSchedularCommand;
//# sourceMappingURL=JobSchedularCommand.js.map