export declare enum ConsoleTypeEnum {
    GRP = "grp",
    CMD = "cmd",
    MSG = "msg"
}
export declare enum ConsoleStageEnum {
    SETUP = "setup",
    EXECUTION = "execution",
    CLEANUP = "cleanup",
    NULL = "null"
}
export declare type Console = {
    pipelineId: number;
    consoleId: string;
    parentConsoleId: string;
    type: ConsoleTypeEnum;
    message: string;
    timestamp: number;
    timestampEndedAt: number;
    isSuccess: boolean;
    isShown: boolean;
    stage: ConsoleStageEnum;
};
