declare function ActErr(methodName: any, id: any, message: any, error: any): void;
declare class ActErr {
    constructor(methodName: any, id: any, message: any, error: any);
    logType: string;
    methodName: any;
    id: any;
    message: any;
    link: any;
}
declare namespace ActErr {
    const InternalServer: number;
    const DBOperationFailed: number;
    const ProviderUnavailable: number;
    const EnqueueFailed: number;
    const SysConfigNotFound: number;
    const Unauthorized: number;
    const CallerAccountNotFound: number;
    const NoValidOwner: number;
    const InvalidToken: number;
    const ProviderTokenInvalid: number;
    const MissingRoutePerm: number;
    const DBEntityNotFound: number;
    const ParamNotFound: number;
    const InvalidParam: number;
    const DataNotFound: number;
    const OperationFailed: number;
    const ApiServerError: number;
    const PlanLimitation: number;
    const DependencyCheckFailed: number;
    const WebhookNotSupported: number;
    const BodyNotFound: number;
    const DBDuplicateKeyError: number;
    const ObjectAlreadyExists: number;
    const ShippableYaml: number;
    const NoShippableYaml: number;
    const BuildMinutesExceeded: number;
    const EmptyRepository: number;
    const ProviderRateLimit: number;
    const NoSystemIntegration: number;
}
declare var self: typeof ActErr;
