"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandFactory = void 0;
const driving_1 = require("./driving");
const SchedularHandler_1 = require("./feature/SchedularHandler");
class CommandFactory {
    static getHandler(payload, jfrogPipelinesSessionId) {
        const jobSchedularCommand = new driving_1.JobSchedularCommand(payload);
        jobSchedularCommand.validate();
        return new SchedularHandler_1.SchedularHandler(jobSchedularCommand, jfrogPipelinesSessionId);
    }
}
exports.CommandFactory = CommandFactory;
//# sourceMappingURL=CommandFactory.js.map