import { NodePoolAttributes, ProjectAttributes } from '@jfrog-pipelines/types';
import { WaitingGroup } from './modules';
export declare class StepScheduler {
    private readonly waitingGroups;
    private readonly totalGroupsThatCanBeQueued;
    private readonly nodePool;
    private readonly groupProjects;
    private readonly config;
    private readonly logger;
    constructor(waitingGroups: WaitingGroup[], totalGroupsThatCanBeQueued: number, nodePool: NodePoolAttributes, groupProjects: ProjectAttributes[]);
    queueStepsToNodePool(): Promise<void>;
    private tryAndQueueWaitingGroup;
    private isNodeAvailable;
    private createRunStepToken;
    private createLocalArtifactoryToken;
    private checkAndAddRunExecutionToken;
    private skipWaitingGroup;
    private postQueuedStepConsoles;
    private queueWaitingGroup;
    private logEvent;
    private getSkippedMessage;
    private skipSteps;
    private skipSteplets;
    private postStepSkippedConsoles;
    private createToken;
}
