import { WaitingGroup } from '../modules';
export declare class SendApprovalRequests {
    private readonly waitingGroupManager;
    private readonly systemInstanceId;
    private readonly apiClient;
    private readonly properties;
    private readonly logger;
    private readonly jFrogPipelinesSessionId;
    private isAnyApprovalErrored;
    constructor(jFrogPipelinesSessionId: string);
    getWaitingAndRejectedGroupsAfterApprovalProcessing(waitingGroups: WaitingGroup[]): Promise<{
        waitingGroups: WaitingGroup[];
        rejectedGroupsForApproval: WaitingGroup[];
    }>;
    private postApprovalRequest;
    private processBatchRequest;
    private getWaitingStepsUsingRunAdjacency;
    private checkIfStepsShouldBeSkipped;
    private approveRequestsAndGetApprovalCount;
    private logEvent;
}
