import { WaitingGroup } from '../modules';
export declare class TryAndQueueExternalSteps {
    groups: WaitingGroup[];
    waitingGroups: WaitingGroup[];
    private readonly logger;
    private readonly nodePoolAcl;
    private readonly sessionId;
    private readonly apiToken;
    private hookIdsByStepId;
    private readonly client;
    constructor(groups: WaitingGroup[], sessionId: string, apiToken: string);
    queueSteps(): Promise<void>;
    private tryAndQueueExternalStepsWorker;
    private checkLicenseCapacity;
    private processLicenseCapacity;
    private updateExternalStep;
    private queueExternalStep;
    private postExternalStepConsoles;
    private generateMessagePayload;
    private updateStep;
}
