import { ConcurrentQuota } from '../license';
import { StepAffinity } from './models';
export declare class StepAffinityIterable implements AsyncIterator<StepAffinity[]> {
    private readonly items;
    private readonly concurrentQuota;
    private readonly consoleRepository;
    constructor(items: StepAffinity[], concurrentQuota: ConcurrentQuota);
    isEmpty(): boolean;
    size(): number;
    [Symbol.asyncIterator](): AsyncGenerator<IteratorResult<StepAffinity[], StepAffinity[]>>;
    next(): Promise<IteratorResult<StepAffinity[], StepAffinity[]>>;
    private handleLicenseBreach;
}
