import { NodePoolAttributes, ProjectAttributes } from '@jfrog-pipelines/types';
import { ProjectVo } from './vo/ProjectVo';
export declare class NodePool {
    private readonly id;
    private readonly name;
    private readonly hasDynamic;
    private readonly nodeThreshold;
    private readonly instanceSize;
    private readonly project;
    constructor(nodePoolId: number, nodePoolName: string, dynamicNodePool: boolean, nodePoolMaxNodes: number, nodePoolInstanceSize: string, nodePoolProjectId: number, nodePoolProjectName: string, nodePoolProjectSource: string);
    static create(nodePool: NodePoolAttributes, project: ProjectAttributes): NodePool;
    getId(): number;
    isDynamic(): boolean;
    getName(): string;
    getNodeThreshold(): number;
    getInstanceSize(): string;
    getProject(): ProjectVo;
}
