import { StepAttributes } from '@jfrog-pipelines/types';
import { Steplet } from './Steplet';
export declare class Step {
    private readonly id;
    private readonly hookId;
    private readonly isLocalArtifactory;
    private readonly steplets;
    constructor(stepId: number, stepHookId: number | null, stepUsingLocalArtifactory: boolean, stepletsOfStep: Steplet[]);
    static create(step: StepAttributes, steplets: Steplet[]): Step;
    getId(): number;
    getHookId(): number | null;
    hasLocalArtifactory(): boolean;
    getSteplets(): Steplet[];
}
