import { BuildPlaneMessageStep } from './vo/BuildPlaneMessageStep';
export declare class BuildPlaneMessagePayload {
    protected affinityGroup: string;
    protected runId: number;
    protected stepIds: number[];
    protected steps: BuildPlaneMessageStep[];
    protected builderApiToken: string;
    protected builderSetupApiToken: string;
    protected localArtifactoryToken?: string | undefined;
    constructor(affinityGroup: string, runId: number, stepIds: number[], steps: BuildPlaneMessageStep[], builderApiToken: string, builderSetupApiToken: string, localArtifactoryToken?: string | undefined);
    static create(affinityGroup: string, runId: number, sourceId: string, projectId: number, stepIds: number[], steps: BuildPlaneMessageStep[], usingLocalArtifactory: boolean, pipelineSourceId: number): Promise<BuildPlaneMessagePayload>;
    private static createLocalArtifactoryToken;
    private static createRunStepToken;
    private static checkAndAddRunExecutionToken;
}
