export declare class ConsoleLogRepository {
    private readonly logServiceQueueClient;
    private readonly logger;
    constructor();
    publishNodePoolQueuerQueuedLogs(stepletIds: number[], pipelineId: number, nodePoolName?: string): Promise<void>;
    publishExternalQueuerQueuedLogs(stepletIds: number[], pipelineId: number): Promise<void>;
    publishApprovalRequestLogs(stepletIds: number[], pipelineId: number): Promise<void>;
    publishSkipLogsWhenNoNode(stepletIds: number[], pipelineId: number): Promise<void>;
    publishSkipLogsWhenStepNotEligible(stepletIds: number[], pipelineId: number): Promise<void>;
    publishSkipLogsWhenHookIsNotPosted(stepletIds: number[], pipelineId: number): Promise<void>;
    publishErrorLogsWhenHookIsNotAvailable(stepletIds: number[], pipelineId: number): Promise<void>;
    publishErrorLogsWhenProjectIsInvalid(stepletIds: number[], pipelineId: number): Promise<void>;
    publishErrorLogsWhenProjectIsNull(stepletIds: number[], pipelineId: number): Promise<void>;
    publishErrorLogsWhenRtTokenIsNotGenerated(stepletIds: number[], pipelineId: number): Promise<void>;
    publishErrorLogsWhenRunExecutionTokenIsNotUpdated(stepletIds: number[], pipelineId: number): Promise<void>;
    publishLicenseBreachedLogs(stepletIds: number[], pipelineId: number): Promise<void>;
    private publishLogs;
}
