import { StepAffinity } from '../../dag';
import { QueuerStrategy } from './QueuerStrategy';
export declare class ApprovalRequestQueuer implements QueuerStrategy {
    private readonly queableStepAffinity;
    private readonly logger;
    private readonly stepServiceDataAdapter;
    private readonly stepRepository;
    private readonly consoleLogRepository;
    constructor(queableStepAffinity: StepAffinity);
    queue(): Promise<void>;
    private setWaitingForApproval;
}
