import { CrudRepository, SystemConfig } from '@jfrog-pipelines/data-access-layer';
import { SystemConfigAttributes } from '@jfrog-pipelines/types';
export declare class SystemConfigDao<I> extends CrudRepository<SystemConfig<I>, Partial<SystemConfigAttributes<I>>> {
    constructor();
    findByConfigName(configName: string): Promise<SystemConfigAttributes<I>>;
}
